<?php 
    $wp_customize->add_section(
        'skill_area',
        array(
            'title' => __( 'Skill Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'skill_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'skill_area_disable',
            array(
                'settings'      => 'skill_area_disable',
                'section'       => 'skill_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'skillus', 'skill_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'skillarea_padding', 'skill_area', 'Section Padding');

$wp_customize->add_setting(
    'skill_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'skill_areaTpadding',
    array(
        'settings'      => 'skill_areaTpadding',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'skill_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'skill_areaBpadding',
    array(
        'settings'      => 'skill_areaBpadding',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'skill_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'skill_title_heading',
        array(
            'settings'      => 'skill_title_heading',
            'section'       => 'skill_area',
            'label'         => __( 'Section Heading ', 'luzuk-premium' ),
        )
    )
);    


$wp_customize->add_setting(
    'skill_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ITS EASY, ITS <br> BRILLIANT IT WORKS ! ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'skill_heading',
    array(
        'settings'      => 'skill_heading',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'skill_Heading_clr', 'skill_area', 'Section Heading Color ', '#2E8BE9');


$wp_customize->add_setting('skillus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'skillus_npp_heading',
        array(
            'settings'      => 'skillus_npp_heading',
            'section'       => 'skill_area',
            'label'         => __( 'Number Of Skill Box', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('skillus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'skillus_npp_count',
    array(
        'settings'      => 'skillus_npp_count',
        'section'       => 'skill_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Skill Box To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//skill PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'skillus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'skillus_header'.$i,
            array(
                'settings'      => 'skillus_header'.$i,
                'section'       => 'skill_area',
                'label'         => __( 'Section Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'skillus_page_icon'.$i,
        array(
            'default'           => 'fa fa-globe',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'skillus_page_icon'.$i,
            array(
                'settings'      => 'skillus_page_icon'.$i,
                'section'       => 'skill_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );


lzAddElement($wp_customize, 'skillus_page_title'.$i, 'skill_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Join Our Regular Test Series!');

lzAddElement($wp_customize, 'luzuk_skill_page_url_'.$i, 'skill_area', $type = 'text', $label="Link", $callback ='esc_url', $default='Add link here');

//lzAddElement($wp_customize, 'skill_txt'.$i, 'skill_area', $type = 'textarea', $label="Title", $callback ='luzuk_sanitize_text', $default='There are many variations of passages of Lorem Ipsum');

}


lzCustomLable($wp_customize, 'feasecbtn', 'skill_area' , 'Skill Section Color');

addColorPalatOption($wp_customize, 'skill_area_bx', 'skill_area', 'Section Box Color', '#fff');

addColorPalatOption($wp_customize, 'skill_area_bxhv', 'skill_area', 'Section Box Hover Color', '#033A9E');

addColorPalatOption($wp_customize, 'skill_area_icon', 'skill_area', 'Section Icon Color', '#fff');

addColorPalatOption($wp_customize, 'skill_area_iconbg1', 'skill_area', 'Section Icon BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'skill_area_iconbg2', 'skill_area', 'Section Icon BG Color 2', '#2E8BE9');

addColorPalatOption($wp_customize, 'skill_area_title', 'skill_area', 'Section Title Color', '#000');

addColorPalatOption($wp_customize, 'skill_area_titlehv', 'skill_area', 'Section Title Hover Color', '#fff');

$wp_customize->add_setting(
    'skillbtntext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'see more', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'skillbtntext',
    array(
        'settings'      => 'skillbtntext',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('skillbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('skillbtnlink',
    array(
        'settings'      => 'skillbtnlink',
        'section'       => 'skill_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'skill_btnclr', 'skill_area', 'Section Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'skill_btnhvclr', 'skill_area', 'Section Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'skill_btnngbrdclr', 'skill_area', 'Section Button Border Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'skill_btnng1clr', 'skill_area', 'Section Button Bg Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'skill_btnbg2clr', 'skill_area', 'Section Button Bg Color 2 ', '#2E8BE9');